|  | Home · All Classes · Modules

# QStyleHintReturnMask Class Reference
[QtGui module]

The QStyleHintReturnMask class provides style hints that return a QRegion. More...

Inherits QStyleHintReturn.

### Types

- enum StyleOptionType { Type }
- enum StyleOptionVersion { Version }

### Methods

- __init__ (self)
- __init__ (self, QStyleHintReturnMask)

### Members

- QRegion region

## Detailed Description

The QStyleHintReturnMask class provides style hints that return a QRegion.

## Type Documentation

### QStyleHintReturnMask.StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleHintReturn subclass.

Constant | Value | Description
--- | --- | ---
`QStyleHintReturnMask.Type` | `SH_Mask` | The type of style option provided (SH_Mask for this class).

The type is used internally by QStyleHintReturn, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleHintReturn subclass and your own styles.

See also StyleOptionVersion.

### QStyleHintReturnMask.StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleHintReturn subclass.

Constant | Value | Description
--- | --- | ---
`QStyleHintReturnMask.Version` | `1` | 1

The version is used by QStyleHintReturn subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Method Documentation

### QStyleHintReturnMask.__init__ (self)

Constructs a QStyleHintReturnMask. The member variables are initialized to default values.

### QStyleHintReturnMask.__init__ (self, QStyleHintReturnMask)

## Member Documentation

### QRegion region

This variable holds the region for style hints that return a QRegion.